Package net.shibboleth.idp.installer.plugin.impl

# Class TrustStore.Signature

java.lang.Object
net.shibboleth.idp.installer.plugin.impl.TrustStore.Signature

Enclosing class:
  TrustStore

public static final class TrustStore.Signature extends Object
An opaque handle around a `PGPSignature`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`keyId`
printable key.
`private org.bouncycastle.openpgp.PGPSignature`
`signature`
What we are hiding.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Signature(InputStream input)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected org.bouncycastle.openpgp.PGPSignature`
`getSignature()`
Get signature.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### signature

@Nonnull private org.bouncycastle.openpgp.PGPSignature signature
What we are hiding.

### keyId

@Nonnull private String keyId
printable key.

## Constructor Details

### Signature

protected Signature(@Nonnull InputStream input) throws IOException
Constructor.

Parameters:
  `input` - input data
Throws:
  `IOException` - if an error occurs

## Method Details

### getSignature

@Nonnull protected org.bouncycastle.openpgp.PGPSignature getSignature()
Get signature.

Returns:
  the signature

### toString

@Nonnull public String toString()

Overrides:
  `toString` in class `Object`